# Global --------------------------

variables:
  PIP_CACHE_DIR: "${CI_PROJECT_DIR}/.cache/pip"
  PIPENV_VENV_IN_PROJECT: "1"

cache:
  key: "${CI_JOB_NAME}"
  paths:
    - .cache/pip
    - .venv

stages:
  - publish

# Jobs templates ------------------

.install-deps-template: &install-deps
  before_script:
    - pip install pipenv
    - pipenv install --dev

publish:
  <<: *install-deps
  image: python:3.8
  stage: publish
  script:
    - sh download-shapefile.sh
    - pipenv run python map.py
  artifacts:
    paths:
      - london-cycles-*.gif
    expire_in: 1 week

